Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# GIOP Namespace Reference

## Compounds
struct | IORAddressingInfo
class | TargetAddress
struct | Version
## Typedefs
typedef CORBA::Short | AddressingDisposition
typedef CORBA::Short_out | AddressingDisposition_out
typedef TAO_Fixed_Var_T< Version > | Version_var
typedef Version & | Version_out
typedef TAO_Var_Var_T< IORAddressingInfo > | IORAddressingInfo_var
typedef TAO_Out_T< IORAddressingInfo, IORAddressingInfo_var > | IORAddressingInfo_out
typedef TAO_Var_Var_T< TargetAddress > | TargetAddress_var
typedef TAO_Out_T< TargetAddress, TargetAddress_var > | TargetAddress_out
## Variables
::CORBA::TypeCode_ptr | _tc_AddressingDisposition
::CORBA::TypeCode_ptr | _tc_Version
::CORBA::TypeCode_ptr | _tc_IORAddressingInfo
::CORBA::TypeCode_ptr | _tc_TargetAddress
const CORBA::Short | KeyAddr = 0
const CORBA::Short | ProfileAddr = 1
const CORBA::Short | ReferenceAddr = 2

## Typedef Documentation

typedef CORBA::Short GIOP::AddressingDisposition

typedef CORBA::Short_out GIOP::AddressingDisposition_out

typedef TAO_Out_T< IORAddressingInfo, IORAddressingInfo_var > GIOP::IORAddressingInfo_out

typedef TAO_Var_Var_T< IORAddressingInfo > GIOP::IORAddressingInfo_var

typedef TAO_Out_T< TargetAddress, TargetAddress_var > GIOP::TargetAddress_out

typedef TAO_Var_Var_T< TargetAddress > GIOP::TargetAddress_var

typedef Version& GIOP::Version_out

typedef TAO_Fixed_Var_T< Version > GIOP::Version_var

## Variable Documentation

TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr GIOP::_tc_AddressingDisposition

| Initial value:
        &_tc_TAO_tc_GIOP_AddressingDisposition

TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr GIOP::_tc_IORAddressingInfo

| Initial value:
        &_tc_TAO_tc_GIOP_IORAddressingInfo

TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr GIOP::_tc_TargetAddress

| Initial value:
        &_tc_TAO_tc_GIOP_TargetAddress

TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr GIOP::_tc_Version

| Initial value:
        &_tc_TAO_tc_GIOP_Version

const CORBA::Short GIOP::KeyAddr = 0

const CORBA::Short GIOP::ProfileAddr = 1

const CORBA::Short GIOP::ReferenceAddr = 2